% %exp.blockname                   = blocktype;                     % Blockname filename
if blocktype == 2  ; 
     countshock = countshock + 1;
   if countshock == 45;
       OJR_sendshock(intensity);
   elseif countshock == 60;
       OJR_sendshock(intensity);
   elseif countshock == 173;
       OJR_sendshock(intensity);
   end
end

    clearpict(1,colour(1),colour(2),colour(3))
    clearpict(2,colour(1),colour(2),colour(3))
     
%load buffers
    preparestring('',1);
    preparestring(exp.stim.order(trial),2);

    %presnt trials and record responses
    clearkeys;                                                                  % Clear keys
    t = drawpict(2);                                                            % present face
    wait(exp.times.stim);% Wait
    drawpict(1);
   wait(exp.times.fix(randperm(length(exp.times.fix)))); 
    readkeys;                                                                   % Read keys F=6 / H=8
    [key, keytime, n] = getkeydown;                                             % Get key presses read by 'readkeys'
       
    if n>0                                                                      % If keypress has been made than n>0
        exp.res.key(trial)       = key(1);                                       % Record keypress
        exp.res.keytime(trial)   = keytime(1);                                   % Record keypress time
    else                                                                        % If keypress hasn't been made
        exp.res.key(trial)       = nan;                                          % Record keypress as 'nan'
        exp.res.keytime(trial)   = nan;                                          % Record keypress time as 'nan'
    end
    
    % Record trial information
   exp.res.stime(trial)         = t;                                            % Record object presentation time
   exp.res.face(trial)          = exp.stim.order(trial);                               % Record stimulus
   exp.res.block(trial)         = blocktype;      
   exp.res.RT(trial)           = exp.res.keytime(trial)-exp.res.stime(trial);
          
    save(exp.fname,'exp');                                                      % Save results file
   
    clearpict(1,colour(1),colour(2),colour(3))
    clearpict(2,colour(1),colour(2),colour(3))